/***********************************************************/
/***********************************************************/
/***********************************************************/
/* FORMULARIO */
.bloqueFormulario{
    display: flex;
}
.contIconos {
    width: 60%;
    display: flex;
    justify-content: space-between; /* Esto asegura un espaciado adecuado entre los elementos */
}
.cajaIconos {
    width: 50%;
    box-sizing: border-box; /* Asegura que el padding no desborde el contenedor */
}
.contFormHome{
    width: 40%;
    background-color: white;
    border-radius: 10px;
    padding: 35px;
    color: var(--mi-primary);
    margin-top: -150px;
    z-index: 1;
}
.contFormHome form{
    display: grid;
    gap: 20px;
    grid-template-columns: 1fr 1fr;
}
.contFormHome form input,
.contFormHome form textarea,
.contFormHome form button{
    width: 100%;
}
.contFormHome form .divCompleto{
    grid-column: 1/3;
    display: flex;
    flex-direction: column;
}
.contFormHome form input,
.contFormHome form textarea{
    padding: 10px;
    border-radius: 5px;
    border: 1px solid var(--mi-secondary);
    outline: none; /* Elimina el borde azul de enfoque predeterminado */
    transition: border 0.3s ease-in-out; /* Añade una transición suave */
}
.contFormHome form input:focus,
.contFormHome form textarea:focus{
    border: 1px solid var(--mi-warning);
    background-color: var(--mi-light);
    outline: none;
}



/***********************************************************/
/***********************************************************/
/***********************************************************/
/* QUIENES SOMOS */
.bloqueQuienesSomos{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 80px;
}
.contImagen {
    position: relative;
    height: 400px;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: end;
    /* justify-content: center; */
    z-index: -2;
    border-radius: 10px;
}
.contImagen-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--mi-primary);
    mix-blend-mode: multiply;
    z-index: -1;
    border-radius: 10px;
}
.contenedorLista{
    padding: 20px;
    margin-left: -15px;
    margin-bottom: -55px;
    background-color: var(--mi-primary);
    opacity: 90%;
    border-radius: 10px;

}
.contenedorLista hr{
    background-color: var(--mi-secondary);
    border: none;
}
.contenedorLista ul li{
    list-style: none;
    margin-left: -20px;
    padding: 10px 0px;
    color: white;
}
.contenedorLista ul li i{
    color: var(--color-enfasis);
    font-size: 20px;
}
.mi-lista li:not(:last-child) {
    border-bottom: 1px solid var(--mi-primaryHover); /* Color y estilo de la línea divisoria */
}
.contTexto .subtitulo {
    color: var(--color-enfasis);
}
.contTexto h3{
    font-weight: 600;
}
.contContadores{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
}
.contTexto hr{
    background: linear-gradient(90deg, var(--mi-warning) 0%, var(--color-enfasis) 100%);
    height: 1px;
    border: none;
}
.contadorNumero{
    font-size: 50px;
    font-weight: 900;
    text-align: center;
}
.contadorItem{
    font-size: 20px;
    text-align: center;
}



/***********************************************************/
/***********************************************************/
/***********************************************************/
/* EMPECEMOS */
.empecemos{
    position: relative;
    height: 100vh;
    background-size: cover;
    background-position: center;
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    justify-content: center;
}
.empecemos .contTexto{
    padding: 35px;
    background-color: var(--mi-primary);
    border-radius: 10px;
}



/***********************************************************/
/***********************************************************/
/***********************************************************/
/* HERRAMIENTAS */
.herramientas{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 40px;
    padding: 100px 30px;
}
.wordpress{
    background-color: var(--mi-primary);
    border-radius: 10px;
    border: 1px solid var(--mi-primary);
    padding: 20px;
}
.wordpress i,
.elementor i{
    font-size: 50px;
    color: var(--color-enfasis);
    margin-bottom: 20px;
}
.elementor{
    border-radius: 10px;
    border: 1px solid var(--mi-primary);
    padding: 20px;
}
.iconHerramientas{
    width: 50px;
    margin-bottom: 20px;
    filter: invert(73%) sepia(88%) saturate(1577%) hue-rotate(8deg) brightness(107%) contrast(103%);
}



/***********************************************************/
/***********************************************************/
/***********************************************************/
/* EMPECEMOS 2 */
.empecemos2{
    position: relative;
    height: 100vh;
    background-size: cover;
    background-position: center;
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    justify-content: center;
}
.empecemos2 .contTexto{
    padding: 35px;
    background-color: var(--mi-primary);
    border-radius: 10px;
}






/***********************************************************/
/***********************************************************/
/***********************************************************/
/* RESPONSIVE */
@media (max-width: 768px) {
    .contIconos {
        flex-direction: column; /* Apila los elementos en lugar de alinearlos en fila */
        width: 50%; /* Ocupa todo el ancho en pantallas pequeñas */
    }
    .cajaIconos {
        width: 100%;
        margin-bottom: 20px; /* Añade margen inferior para separar los elementos */
    }
    .contFormHome{
        width: 50%;
        margin-top: -100px;
    }
    .contFormHome form{
        display: flex;
        flex-direction: column;
    }
    .bloqueQuienesSomos{
        grid-template-columns: 1fr;
    }
    .empecemos{
        grid-template-columns: 1fr;
    }
    .herramientas{
        grid-template-columns: 1fr 1fr;
    }
    .empecemos2{
        grid-template-columns: 1fr;
    }
    .ocultar{
        display: none;
    }
}
@media (max-width: 550px) {
    .hero .btnRedondo{
        width: 100%;
        margin-bottom: 20px;
    }
    .hero .btnLineaBlanco{
        margin-left: 0px;
    }
    .bloqueFormulario{
        display: flex;
        flex-direction: column;
    }
    .contFormHome{
        width: 100%;
        order: 1;
    }
    .contIconos {
        width: 100%; /* Ocupa todo el ancho en pantallas pequeñas */
        order: 2;
    }
    .contImagen{
        padding: 100px 20px 0px 20px;
        align-items: center;
        margin-bottom: 50px;
        /* justify-content: center; */
    }
    .contenedorLista{
        margin: 0px 0px -150px 0px;
        width: 100%;
    }
    .contContadores{
        grid-template-columns: 1fr;
    }
    .contTexto button{
        width: 100%;
        margin-top: 20px;
    }
    .herramientas{
        grid-template-columns: 1fr;
    }
}